> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sudo.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transactions

> Fetches all transactions for all cards according to the query parameters.



## OpenAPI

````yaml openapi.json get /cards/transactions
openapi: 3.1.0
info:
  title: Sudo Sandbox API
  version: '1.0'
servers:
  - url: https://api.sandbox.sudo.cards
security:
  - sec0: []
paths:
  /cards/transactions:
    get:
      summary: Get Transactions
      description: >-
        Fetches all transactions for all cards according to the query
        parameters.
      operationId: get-transactions
      parameters:
        - name: page
          in: query
          description: Specifies the position the response data should begin from.
          schema:
            type: integer
            format: int32
            default: 0
        - name: limit
          in: query
          description: The number of transactions to fetch.
          schema:
            type: integer
            format: int32
            default: 100
        - name: fromDate
          in: query
          description: This is the start date of the date range.
          schema:
            type: string
            format: date
        - name: toDate
          in: query
          description: This is the end date of the date range.
          schema:
            type: string
            format: date
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      x-default: '{{APIKey}}'

````